<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">会员卡管理</a></div>
		<div class="common_content_title">会员卡管理</div>
		<div class="common_content_table box_shadow border10">
			<table id="memberCardTable" class="easyui-datagrid" style="width:100%;height:540px" data-options="singleSelect:true,collapsible:true,method:'get'">
				<thead>
					<tr>
						<th data-options="field:'memberCardGradeId',hidden:true"></th>
						<th data-options="field:'memberCardGradeName',width:250,align:'center',halign:'center'">会员等级</th>
						<th data-options="field:'imgUrl',width:207,align:'center',halign:'center'
							,formatter: function(value){return rowformater_img(value);}">等级背景</th>
						<th data-options="field:'memberCardStyleId',width:250,align:'center',halign:'center'
							 ,formatter: function(value,row,index){return rowformater_card(value,row,index);}">样式</th>
					</tr>
				</thead>
			</table>
		</div>
		<div id="card_Detail" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel">
				<button type="button" class="icon detailed_close" id="closeCardButton"></button>
				<div class="common_content_title">会员卡设置</div>
					<form id="cardDetailForm" method="post" enctype="multipart/form-data">
					<div>
						<input type="hidden" name="memberCardGradeId" id="memberCardGradeId_Detail" value="" />
						<!-- <div class="row">
							<div class="col-xs-2 msg">系统样式</div>
							<div class="col-xs-3">
								<input type="hidden" name="memberCardStyleId" id="memberCardStyle" value="" />
								<input size="16" type="text" class="form-control" value="" input-type="select" readonly>
								<ul class="dropdown-menu">
									<li data-id="1">
										<a href="#" onclick="javascript:Card_selectImg(&quot;src1&quot;);">原始会员卡</a>
									</li>
									<li data-id="2">
										<a href="#" onclick="javascript:Card_selectImg(&quot;src2&quot;);">条形码</a>
									</li>
									<li data-id="3">
										<a href="#" onclick="javascript:Card_selectImg(&quot;src3&quot;);">二维码</a>
									</li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</div> -->
						<div class="row" style="padding-left:50px;">
							<div class="col-xs-10 msg" style="height: 300px;">
								<img id="memberCard_img_path" src="" style="width: 414px;height: 266px;" />
							</div>
						</div>
					</div>
					<div class="common_content_btnList clearfix">
						<div class="fl" style="position: relative; width: 90px; height: 40px;">
							<button id="memberCardBoxBtn" type="button" class="btn btn-success" style="width:90px;">选择文件</button>
							<input id="imgUrl_Detail" type="hidden" name="imgUrl" value=""/> 
							<input type="file" name="cardimage" id="card_image" size="10" style="position:absolute; width: 100%; height: 100%;top: 0; left: 0; opacity: 0;" />
						</div>
						<span id="memberCard_fileSpan" class="file_title"  style="display:block;width:235px;overflow:hidden;">未选择文件...</span>
					
						<!-- <input id="imgUrl" type="hidden" name="imgUrl" value="" /> 
						<input type="file" name="cardimage" id="card_image" size="10" style="width: 145px" /> -->
						<!-- <button id="card_cansle" type="button" class="btn btn-success" style="width:90px;">取消</button> -->
						<button id="card_upload" type="button" class="btn btn-success" style="width:90px;">上传</button>
						<button id="saveCardDetail" type="button" class="btn btn-success" style="width:90px;">保存</button>
					</div>
				</form>
			</div>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/card/memberCardManage'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>